package com.luojigou.product.ble

import android.util.Log

object XDBLEUtils {
    const val START_FIRST: Byte = 0x7E.toByte()
    const val START_SECOND: Byte = 0x01.toByte()
    const val END_BYTE: Byte = 255.toByte()
    fun parseConnectResponse(data: ByteArray): Int {
        if (data.size < 17) return -99
        Log.d("XDBLEUtils", "parseConnectResponse: ${data.decodeToString()}")
        return data[16] - '0'.code
    }

    fun convertToConnectRequest(ssid: String, password: String): ByteArray {
        val ssidArray = ssid.toByteArray(Charsets.UTF_8)
        val passwordArray = password.toByteArray(Charsets.UTF_8)
        val byteArray =  byteArrayOf(
            START_FIRST,
            START_SECOND,
            ssidArray.size.toByte(),
            *ssidArray,
            passwordArray.size.toByte(),
            *passwordArray,
            END_BYTE
        )
        return byteArray
    }
}