package com.luojigou.product.xiaodou.connect

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.luojigou.product.R
import com.luojigou.product.xiaodou.XDConnectService
import okhttp3.OkHttpClient
import okhttp3.Request
import okhttp3.RequestBody.Companion.toRequestBody

class XDConnectSuccessFragment(private val snNumber: String) : Fragment() {

    private val client: OkHttpClient = OkHttpClient()
    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_connect_success, container, false)
    }

    override fun onResume() {
        super.onResume()

        val sp = requireActivity().getSharedPreferences(
            "FlutterSharedPreferences",
            Context.MODE_PRIVATE
        )
        val token = sp.getString("flutter.token", "")

        val request = Request.Builder()
            .url("https://open.test.luojigou.vip:8899/xiaodou-ai/mobile/home/device")
            .header("token", token!!)
            .post(mapOf("snCode" to snNumber).toString().toRequestBody())
            .build()

        client.newCall(request).enqueue(object : okhttp3.Callback {
            override fun onFailure(call: okhttp3.Call, e: java.io.IOException) {
                Log.e("XDConnectSuccessFragment", "onFailure: $e")
            }

            override fun onResponse(call: okhttp3.Call, response: okhttp3.Response) {
                Log.d("XDConnectSuccessFragment", "onResponse: ${response.body?.string()}")
                if (response.isSuccessful) {
                    finishOtherPage()
                }
            }
        })
    }

    private fun setSuccessView() {

    }

    private fun setFailureView() {

    }

    private fun finishOtherPage() {
        val intent = Intent(XDConnectService.ACTION_CONNECT_FINISH)
        requireActivity().sendBroadcast(intent)

    }
}